
dnl Try to figure out what libraries are required for the demos

AC_DEFUN(AC_CHECK_SDB,
[
AC_ARG_WITH(gdbm,
	[  --with-gdbm             enable trivial Gdbm queries],
	[ if test "$withval" != "no"; then
		LDFLAGS_CFG="$LDFLAGS_CFG -lgdbm"
		AC_CHECK_LIB(gdbm, gdbm_open)
	fi ])
AC_ARG_WITH(lago,
	[  --with-lago             enable Lago database queries],
	[ if test "$withval" != "no"; then
		LDFLAGS_CFG="$LDFLAGS_CFG -L/usr/local/lago/lib -llago"
		LDFLAGS="$LDFLAGS -L/usr/local/lago/lib"
		AC_CHECK_LIB(lago, Lquery)
	fi ])

AC_ARG_WITH(mysql,
	[  --with-mysql            enable Mysql database queries],
	[ if test "$withval" != "no"; then
		LDFLAGS_CFG="$LDFLAGS_CFG -L/usr/local/lib/mysql -lmysqlclient"
		LDFLAGS="$LDFLAGS -L/usr/local/lib/mysql"
		AC_CHECK_LIB(mysqlclient, mysql_real_connect)
	fi ])

AC_ARG_WITH(sqlite,
	[  --with-sqlite           enable Sqlite database queries],
	[ if test "$withval" != "no"; then
		LDFLAGS_CFG="$LDFLAGS_CFG -lsqlite -lgdbm"
		AC_CHECK_LIB(gdbm, dbm_open)
		AC_CHECK_LIB(sqlite, sqlite_open)
	fi ])

AC_ARG_WITH(mimer,
	[  --with-mimer            enable Mimer database support],
	[ if test "$withval" != "no"; then
		LDFLAGS_CFG="$LDFLAGS_CFG -lmimer"
		AC_CHECK_LIB(mimer, SQLAllocConnect)
	fi ])

AC_ARG_WITH(postgres,
	[  --with-postgres         enable Postgres database queries],
	[ if test "$withval" != "no"; then
		CFLAGS_CFG="$CFLAGS_CFG -I/usr/local/pgsql/include"
		LDFLAGS_CFG="$LDFLAGS_CFG -L/usr/local/pgsql/lib -lpq"
		CFLAGS="$CFLAGS -I/usr/local/pgsql/include"
		LDFLAGS="$LDFLAGS -L/usr/local/pgsql/lib"
		AC_CHECK_LIB(pq, PQsetdbLogin)
	fi ])

AC_ARG_WITH(oracle,
	[  --with-oracle           enable Oracle database queries],
	[ if test "$withval" != "no"; then
		CFLAGS_CFG="$CFLAGS_CFG -L$ORACLE_HOME/rdbms/demo"
		LDFLAGS_CFG="$LDFLAGS_CFG -L$ORACLE_HOME/lib -lclntsh"
		CFLAGS="$CFLAGS -I$ORACLE_HOME/rdbms/demo"
		LDFLAGS="$LDFLAGS -L$ORACLE_HOME/lib"
		AC_CHECK_LIB(clntsh, ologof)
	fi ])

AC_ARG_WITH(odbc,
	[  --with-odbc             enable database queries over UnixODBC],
	[ if test "$withval" != "no"; then
		AC_CHECK_LIB(odbc, main)
	fi ])

if test "$GCC" = "yes"; then
	CFLAGS="-Wall $CFLAGS"
fi

AC_SUBST(CFLAGS_CFG)
AC_SUBST(LDFLAGS_CFG)
])

