/*
A simple demo program for libsdb. Reads SQL from stdin and prints
results on stdout.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "common.h"
#include "sdb.h"

static int db_callback(int n, char **p, void *closure)
{
	int i;

	if (!n) return 0;
	for (i = 0; i < n; i++) {
		printf("%s ", p[i]);
	}
	printf("\n");
	return 0;
}

int main(int argc, char **argv)
{
	int n;
	char b[4096];
	char *url = argv[1];
	if (!url) {
		printf("Usage: sdb_client url\n");
		exit(0);
	}
	sdb_init();

	for (;;) {
		printf("sdb> ");
		fflush(stdout);
		if (!fgets(b, sizeof b, stdin)) break;
		sdb_chomp(b);
		if (b[0] == '!') {
			system(b+1);
		} else {
			n = sdb_query(url, b, db_callback, NULL);
			printf("Return code: %d\n", n);
		}
	}
	return 0;
}
